<template>
	<view>
		<view class="uni-padding-wrap uni-common-pb">
			<view class="tab-wrap">
				<glance 
					v-on:clickKeyword='clickKeyword' 
					:data='keyList'
				>
				</glance>
				<view class="demoList">
					<navigator v-for="(img,inde) in list" :key="inde" url="navigate/navigate?title=navigate" hover-class="navigator-hover">
						<image style="background-color: #eeeeee;" :mode="img.mode" :src="img.src"
							@error="imageError"></image>
						<text>{{img.title}}</text>
					</navigator>
				</view>
			</view>
		</view>
	</view>
</template>
<script>

import glance  from "@/loadcomponents/jm-glance/jm-glance.vue";
	export default {
		components: {
			glance,
		},
		data() {
			return {
				keyList: [{
                        title: '热门',
                        id: '1'
                    },
                    {
                        title: '周边',
                        id: '2'
                    },
                    {
                        title: '香港',
                        id: '3'
                    },
                    {
                        title: '澳门',
                        id: '4'
                    },
                    {
                        title: '云南',
                        id: '5'
					},
					{
                        title: '云南',
                        id: '6'
                    }
				],
				list: [],
				imgList:[
					{	
						images:[
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京不够积极的的技术的运河大森林',
								url:'',
							},
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京运河大森林'
							},
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京运河大森林'
							},
						] 
					},
					{	
						images:[
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京不够积极的的技术的运河大森林'
							},
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京运河大森林'
							},
							{
								mode: 'scaleToFill',
								text: 'scaleToFill：不保持纵横比缩放图片，使图片完全适应',
								src:'https://img-cdn-qiniu.dcloud.net.cn/uniapp/images/shuijiao.jpg',
								title:'北京运河大森林'
							},
						] 
					}, 
				]
			};
		},
		onLoad() {
			this.list = this.imgList[0].images;
		},
		methods: {
			imageError(e) {
				console.error('image发生error事件，携带值为' + e.detail.errMsg)
			},
			clickKeyword(e) {
                uni.showToast({
                    title: '点击选项卡，id为：' + e.key + ',内容为：' + e.name,
                    icon: 'none',
                    duration: 2000
                });
                this.list = [];
				this.list= this.imgList[e.key-1].images;
            },
		}
	}
</script>

<style lang='less'>
	page {
		height: auto;
		min-height: 100%;
	}
	.uni-padding-wrap{
		width: 100%;
		padding: 0;
	}
	.uni-padding-wrap{
		.tab-wrap{
			width: 100%;
			.keyWordBox{
				background-color:transparent;
				.keyBoxB{
					display:flex;
					width:100% !important;
					.keyBox{
						flex:1;
						border: none;
						.key{
							width:100%;
						}
					}
				}
			}
			.demoList {
				width: 100%;
				height: auto;
				background-color: #fff;
				navigator{
					position: relative;
					width: 100%;
					height: 100%;
					padding-top:0;  
					image{
						height:400rpx;
						width: 100%;	
					}
					text{
						position: absolute;
						top:0;
						left:0;
						bottom: 0;
						right: 0;
						margin: auto;
						height: 100rpx;
						line-height: 100rpx;
						text-align: center;
					}
				}
			
			}
		}
	}
	
</style>